#include <bits/stdc++.h>
using namespace std;

int main(int argc, char**argv){
ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
long long n, q; cin >> n >> q;
long long a[n], b[q];
for ( int i = 0; i < n; i++ ){
    cin >> a[i];
}
for ( int j = 0; j < q; j++ ){
    cin >> b[j];
}
if ( q == 1 ){
    sort(a, a + n);
    if ( b[0] == a[n/2] ){
        cout << 0;
    }
    if ( b[0] < a[n/2] ){
        long long i = 0;
        while ( (i < n/2) && ( b[0] > a[i] ) ){
            i++;
        }
        cout << n - 2*i - 1;
    }
    if ( b[0] > a[n/2] ){
        long long i = 0;
        while ( (a[n-i-1] > b[0]) && ( i < n/2 + 1 ) ){
            i++;
        }
        if ( n%2 ==  1){
            cout << 2*(n/2 - i);
        }
        else{
            cout << n - 2*i - 1;
        }
    }
}

return 0;
}